<?
define('PROTECTOR', 1);

$headmod = 'rating';//фикс. места

$textl='Зал Славы';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
switch($_GET[mod]){

default:
              echo'<div class="end" align="center"><img src="pic/velikie.jpg"/></div>';
echo"<a href=\"rating.php?mod=slava\"><b>ВЕЛИКИЕ</b></a><br/>";
echo"<a href=\"rating.php?mod=lvl\">Рейтинг опыта</a><br/>";
echo"<a href=\"rating.php?mod=uron\">Рейтинг урона</a><br/>";
echo"<a href=\"rating.php?mod=sila\">Рейтинг силы</a><br/>";
echo"<a href=\"rating.php?mod=lovk\">Рейтинг ловкости</a><br/>";
echo"<a href=\"rating.php?mod=um\">Рейтинг интелекта</a><br/>";
echo"<a href=\"rating.php?mod=prot\">Рейтинг физ. защиты</a><br/>";
echo"<a href=\"rating.php?mod=krit\">Рейтинг критовики</a><br/>";
echo"<a href=\"rating.php?mod=ukrit\">Рейтинг крит-урон</a><br/>";
echo"<a href=\"rating.php?mod=antikrit\">Рейтинг АНТИ-криты</a><br/>";
echo"<a href=\"rating.php?mod=hp\">Рейтинг жизни</a><br/>";
echo"<a href=\"rating.php?mod=mp\">Рейтинг маны</a><br/>";

echo"<a href=\"rating.php?mod=glad\">Гладиаторы</a><br/>";
echo"<a href=\"index.php?\">Назад</a>";
break;

case 'slava':
$b = mysql_query("SELECT usr,slava FROM users WHERE slava >'0' ORDER BY slava DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Слава: <b>$best[slava]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет Великих</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;

case 'glad':
$b = mysql_query("SELECT usr,arenawins FROM users WHERE arenawins >'0' ORDER BY arenawins DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Побед на арене: <b>$best[arenawins]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет гладиаторов</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;

case 'lvl':
$b = mysql_query("SELECT usr,lvl FROM users WHERE lvl >'0' ORDER BY lvl DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a> [<b>$best[lvl]</b> уровень]<br/>";
$i++;
}
}else{
echo"<b>Нет опытных игроков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
/////////////
case 'uron':
$b = mysql_query("SELECT usr,umin,umax FROM users WHERE umax >'0' ORDER BY umax DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Урон <b>$best[umin]/$best[umax]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет сильных игроков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
///////////
case 'sila':
$b = mysql_query("SELECT usr,sila FROM users WHERE sila >'0' ORDER BY sila DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Сила <b>$best[sila]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет сильных игроков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;

////////////////////////////

case 'lovk':
$b = mysql_query("SELECT usr,lovk FROM users WHERE lovk >'0' ORDER BY lovk DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Ловкость <b>$best[lovk]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет ловких игроков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;

case 'um':
$b = mysql_query("SELECT usr,um FROM users WHERE um >'0' ORDER BY um DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Интелект <b>$best[um]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет умных игроков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;

///////////
case 'prot':
$b = mysql_query("SELECT usr,prot FROM users WHERE prot >'0' ORDER BY prot DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Физ. защита <b>$best[prot]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет физ. защищёных игроков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
case 'krit':
$b = mysql_query("SELECT usr,krit FROM users WHERE krit >'0' ORDER BY krit DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Критический удар <b>$best[krit]%</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет критовиков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
case 'ukrit':
$b = mysql_query("SELECT usr,ukrit FROM users WHERE ukrit >'0' ORDER BY ukrit DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Крит-урон <b>$best[ukrit]%</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет критовиков с сильным ударом</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
case 'antikrit':
$b = mysql_query("SELECT usr,antikrit FROM users WHERE antikrit >'0' ORDER BY antikrit DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [АНТИ-Критический удар <b>$best[antikrit]%</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет АНТИ-критовиков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
case 'hp':
$b = mysql_query("SELECT usr,hpall FROM users WHERE hpall >'0' ORDER BY hpall DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Жизни <b>$best[hpall]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет живчиков</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
case 'mp':
$b = mysql_query("SELECT usr,mpall FROM users WHERE mpall >'0' ORDER BY mpall DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Мана <b>$best[mpall]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет игроков с маной</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
case 'money':
$b = mysql_query("SELECT usr,money FROM users WHERE money >0 ORDER BY money DESC LIMIT 0, 10");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [Монеты <b>$best[money]</b>]<br/>";
$i++;
}
}else{
echo"<b>Нет богачей</b><br/>";
}
echo"<a href=\"rating.php?\">Назад</a>";
break;
///////////
}

include($path.'files/down.php');
?>